# Global

##

### Members

#### NodeInterface :object

Source:
  - dictionary.d.js, line 311

##### Properties:

Name | Type | Description
--- | --- | ---
`process` | function |
`global` | function |
`require` | function |
`globalReference` | function | returns NodeJS require reference by it's name

returns interface for accessing Node Env, is defined only in node env

##### Type:

- object

### Type Definitions

#### ApplicationBuilderConstructor() → {ApplicationPrototype.Builder}

Source:
  - dictionary.d.js, line 329

##### Returns:

Type
  ApplicationPrototype.Builder

#### ApplicationBuilderExports

Source:
  - dictionary.d.js, line 706

##### Properties:

Name | Type | Description
--- | --- | ---
`application` | ApplicationPrototypeConstructor |
`builder` | ApplicationBuilderConstructor |

#### ApplicationPrototypeConstructor() → {ApplicationPrototype.Instance}

Source:
  - dictionary.d.js, line 324

##### Returns:

Type
  ApplicationPrototype.Instance

#### RequestModuleConstructor() → {RequestModule}

Source:
  - constructors/request.js, line 8

##### Returns:

Type
  RequestModule